Subject: [bug#76109] [PATCH] doc: Mention --check --no-grafts as a way to force-rebuild packages.

From: Leo Famulari <[email-masked]>
Date: Thu, 6 Feb 2025 19:05:30 -0500

On Fri, Feb 07, 2025 at 12:43:36AM +0100, Rostislav Svoboda wrote:
> * doc/guix.texi (On Trusting Binaries): Document that combining --check and
> --no-grafts with 'guix build' forces the rebuild of a package.

Thanks, this is really useful information that most people have had to
learn by asking.

> +@command{guix build --check}}).  To force a full rebuild of a package
> +(ignoring security updates via grafts), use @option{--check} together
> +with @option{--no-grafts} (@pxref{Common Build Options,
> +@option{--no-grafts}}).

Grafts are not always present in the codebase (hard to believe, I know),
so can you adjust it to something like "(ignoring security updates via
grafts, which are often present)"?